import 'package:frontend_eccp_mobile/modules/auth/login/data/model/login_data.dart';

class LoginResponse {
  LoginResponse({
    required this.status,
    required this.message,
    required this.data,
  });

  factory LoginResponse.fromJson(Map<String, dynamic> json) {
    return LoginResponse(
      status: json['status']?.toString() ?? '',
      message: json['message']?.toString() ?? '',
      data: LoginData.fromJson(
        json['data'] as Map<String, dynamic>? ?? {},
      ),
    );
  }

  final String status;
  final String message;
  final LoginData data;
}
